package com.bomostory.sceneeditmodule.cover

import android.content.Context
import android.util.AttributeSet
import android.view.View
import com.example.tfat.myapplication.R
import kotlinx.android.synthetic.main.view_front_cover_editor.view.*

class FrontCoverEditorView @JvmOverloads constructor(
        context: Context,
        attrs: AttributeSet? = null,
        defStyleAttr: Int = 0
) : BaseCoverEditorView(context, attrs, defStyleAttr) {

    var onCancel: View.OnClickListener? = null
    var onSave: View.OnClickListener? = null
    var selectedColor: CoverColor
        get() {
            return coverColorSelectorView_frontCoverEditor.selectedColor
        }
        set(value) {
            coverColorSelectorView_frontCoverEditor.selectedColor = value
        }
    var storyName: String
        get() {
            return et_frontCoverEditor_projectName.text.toString()
        }
        set(value) {
            et_frontCoverEditor_projectName.setText(value)
        }
    var author: String
        get() {
            return et_frontCoverEditor_author.text.toString()
        }
        set(value) {
            et_frontCoverEditor_author.setText(value)
        }
    var category: Category = Category.Daily

    init {
        View.inflate(context, R.layout.view_front_cover_editor, this)
        coverColorSelectorView_frontCoverEditor.apply {
            onChangeListener = object : CoverColorSelectorView.OnChangeListener {
                override fun onChange() {
                    setCoverColor(selectedColor, this@FrontCoverEditorView.iv_frontCoverEditor_cover)
                }
            }
        }
        btn_frontCoverEditor_save.setOnClickListener { onSave?.onClick(it) }
        btn_frontCoverEditor_cancel.setOnClickListener { onCancel?.onClick(it) }
    }
}